Info.ContractAndWorkflow
Keywords: net.corda.core.cordapp.Cordapp.Info.ContractAndWorkflow class
Date: 2023-09-18

net.corda.core.cordapp

## Class Info.ContractAndWorkflow

- net.corda.core.cordapp.Cordapp.Info.ContractAndWorkflow

- Enclosing interface:
    Cordapp.Info

      public static class Info.ContractAndWorkflow

  A CorDapp that includes both contract and workflow classes, and defined in terms of `class Info.Contract` and `class Info.Workflow`.

  See Also:
    `class Info.Contract`, `class Info.Workflow`

- - ### Constructor Detail

    - #### ContractAndWorkflow

          public ContractAndWorkflow(@NotNull
                                     net.corda.core.cordapp.Cordapp.Info.Contract contract,
                                     @NotNull
                                     net.corda.core.cordapp.Cordapp.Info.Workflow workflow)

      A CorDapp that includes both contract and workflow classes, and defined in terms of `class Info.Contract` and `class Info.Workflow`.

      See Also:
        `class Info.Contract`, `class Info.Workflow`

  - ### Method Detail

    - #### getShortName

          @NotNull
          public java.lang.String getShortName()

      Cordapp's name

    - #### getVendor

          @NotNull
          public java.lang.String getVendor()

      Cordapp's vendor

    - #### getLicence

          @NotNull
          public java.lang.String getLicence()

    - #### getVersion

          @NotNull
          public java.lang.String getVersion()

      Cordapp's version

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hasUnknownFields

          public boolean hasUnknownFields()

    - #### getContract

          @NotNull
          public net.corda.core.cordapp.Cordapp.Info.Contract getContract()

    - #### getWorkflow

          @NotNull
          public net.corda.core.cordapp.Cordapp.Info.Workflow getWorkflow()

    - #### component1

          @NotNull
          public net.corda.core.cordapp.Cordapp.Info.Contract component1()

    - #### component2

          @NotNull
          public net.corda.core.cordapp.Cordapp.Info.Workflow component2()

    - #### copy

          @NotNull
          public net.corda.core.cordapp.Cordapp.Info.ContractAndWorkflow copy(@NotNull
                                                                                       net.corda.core.cordapp.Cordapp.Info.Contract contract,
                                                                                       @NotNull
                                                                                       net.corda.core.cordapp.Cordapp.Info.Workflow workflow)

      A CorDapp that includes both contract and workflow classes, and defined in terms of `class Info.Contract` and `class Info.Workflow`.

      See Also:
        `class Info.Contract`, `class Info.Workflow`

    - #### hashCode

          public int hashCode()

      A CorDapp that includes both contract and workflow classes, and defined in terms of `class Info.Contract` and `class Info.Workflow`.

      See Also:
        `class Info.Contract`, `class Info.Workflow`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A CorDapp that includes both contract and workflow classes, and defined in terms of `class Info.Contract` and `class Info.Workflow`.

      See Also:
        `class Info.Contract`, `class Info.Workflow`